#ifndef SELECT_FILE_DIALOG_H
#define SELECT_FILE_DIALOG_H

#include <QFileDialog>
#include <QMessageBox>
#include <QDialog>
#include <QDateTime>
#include "libs/camera/camera.h"

namespace Ui {
class Select_File_Dialog;
}

class Select_File_Dialog : public QDialog
{
    Q_OBJECT

public:
    explicit Select_File_Dialog(QWidget *parent = nullptr, camera::frame *Input_Frame1 = nullptr, camera::frame *Input_Frame2 = nullptr );
    ~Select_File_Dialog();

private slots:
    void on_buttonBox_accepted();

    void on_path_button_clicked();

private:
    Ui::Select_File_Dialog *ui;
    QString filename;
    camera::frame *frame1;
    camera::frame *frame2;

public:
    void setFrame(camera::frame *new_frame);
    void setFrames(camera::frame *new_frame1, camera::frame *new_frame2);

};

#endif // SELECT_FILE_DIALOG_H
